#define CHF_OXEIA       1
#define CHF_PERISPWMENH 2
#define CHF_BAREIA      3

#define CHF_ACCENT_MASK 0x000f

#define CHF_TREMA       0x0010

#define CHF_VOWEL         0x0020
#define CHF_CONSONANT     0x0040
#define CHF_SEMIVOWEL     0x0080
#define CHF_PUNCT         0x0100
#define CHF_SYMBOL        0x0200
#define CHF_MODIFIER      0x0400
#define CHF_ARCHAIC       0x0800
#define CHF_LOWER         0x1000
#define CHF_UPPER         0x2000
#define CHF_NUMERIC       0x4000

int elchr_flags(unsigned ch);
int elchr_isupper(unsigned ch);
int elchr_islower(unsigned ch);
int elchr_getaccent(unsigned ch);
int elchr_istrema(unsigned ch);
int elchr_isvowel(unsigned ch);
int elchr_isconsonant(unsigned ch);
int elchr_issemivowel(unsigned ch);
int elchr_ispunct(unsigned ch);
int elchr_issymbol(unsigned ch);
int elchr_ismodifier(unsigned ch);
int elchr_isarchaic(unsigned ch);
int elchr_isnumeric(unsigned ch);
unsigned elchr_numeric_value(unsigned ch);
unsigned elchr_toupper(unsigned ch);
unsigned elchr_tolower(unsigned ch);
unsigned elchr_base(unsigned ch);
unsigned elchr_deaccent(unsigned ch);
unsigned elchr_accent(unsigned ch, int acc);

